#include <iostream>
#include <vector>

int main() {
    int N; // broj karata
    std::cin >> N;
    int K; // broj na karti iznad izvucene karte
    std::cin >> K;
    int ind_K;

    std::vector<int> arr;
    for(int i=0;i<N;i++) {
        int a;
        std::cin >> a;
        arr.push_back(a);
        if(a==K)
            ind_K = i;
    }

    if(N==2) {
        K==2 ? printf("%d", K-1) : printf("%d", K+1);
    } else {
        if(K==arr[N-1]) {
            printf("%d", arr[0]);
        } else {
            printf("%d", arr[ind_K+1]);
        }
    }

    return 0;
}